[arch-commits] Commit in python-astroid/repos (testing-any testing-any/PKGBUILD)
Felix Yan
felixonmars at archlinux.org
Tue Dec 19 04:42:16 UTC 2017
Date: Tuesday, December 19, 2017 @ 04:42:15
Author: felixonmars
Revision: 313328
archrelease: copy trunk to testing-any
Added:
python-astroid/repos/testing-any/
python-astroid/repos/testing-any/PKGBUILD
(from rev 313327, python-astroid/trunk/PKGBUILD)
----------+
PKGBUILD | 62 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
1 file changed, 62 insertions(+)
Copied: python-astroid/repos/testing-any/PKGBUILD (from rev 313327, python-astroid/trunk/PKGBUILD)
===================================================================
--- testing-any/PKGBUILD (rev 0)
+++ testing-any/PKGBUILD 2017-12-19 04:42:15 UTC (rev 313328)
@@ -0,0 +1,62 @@
+# $Id$
+# Maintainer: Angel Velasquez <angvp at archlinux.org>
+# Maintainer: Felix Yan <felixonmars at archlinux.org>
+
+pkgbase=python-astroid
+pkgname=('python2-astroid' 'python-astroid')
+pkgver=1.6.0
+pkgrel=1
+pkgdesc="Useful miscellaneous modules used by Logilab projects"
+arch=('any')
+url="https://github.com/PyCQA/astroid"
+license=('LGPL')
+makedepends=('python-setuptools' 'python2-setuptools' 'python-six' 'python2-six'
+ 'python-lazy-object-proxy' 'python2-lazy-object-proxy' 'python-wrapt' 'python2-wrapt'
+ 'python2-singledispatch' 'python2-enum34' 'python2-backports.functools_lru_cache')
+checkdepends=('python-dateutil' 'python2-dateutil' 'python-pytest' 'python2-pytest' 'python-numpy'
+ 'python2-numpy' 'python-nose' 'python2-nose')
+source=("$pkgbase-$pkgver.tar.gz::https://github.com/PyCQA/astroid/archive/astroid-$pkgver.tar.gz")
+sha512sums=('c2551fa6412cbb55bdf48cd3da27b03dc370a927f75ec6317ab67f5b474bedc42bc9cda3400160a0069a932894e38a3d341a0e9ad72c228a05fba6be960d8fde')
+
+prepare() {
+ cp -a astroid-astroid-$pkgver{,-py2}
+}
+
+build() {
+ cd "$srcdir"/astroid-astroid-$pkgver
+ python setup.py build
+
+ cd "$srcdir"/astroid-astroid-$pkgver-py2
+ python2 setup.py build
+}
+
+check() {
+ cd "$srcdir"/astroid-astroid-$pkgver
+ python -c "from astroid import __pkginfo__; print(__pkginfo__.version)"
+ # https://github.com/PyCQA/astroid/issues/472
+ PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python -Wi -m unittest discover -s build/lib/astroid/tests -p "unittest*.py" -v || warning "Tests failed"
+
+ cd "$srcdir"/astroid-astroid-$pkgver-py2
+ PYTHONPATH="$PWD/build/lib:$PYTHONPATH" python2 -Wi -m unittest discover -s build/lib/astroid/tests -p "unittest*.py" -v
+}
+
+package_python-astroid() {
+ depends=('python-six' 'python-lazy-object-proxy' 'python-wrapt')
+ replaces=('python-logilab-astng')
+ conflicts=('python-logilab-astng')
+
+ cd astroid-astroid-$pkgver
+
+ python setup.py install --optimize=1 --skip-build --prefix=/usr --root="$pkgdir"
+}
+
+package_python2-astroid() {
+ depends=('python2-six' 'python2-lazy-object-proxy' 'python2-wrapt' 'python2-singledispatch'
+ 'python2-enum34' 'python2-backports.functools_lru_cache')
+ replaces=('python2-logilab-astng')
+ conflicts=('python2-logilab-astng')
+
+ cd astroid-astroid-$pkgver-py2
+
+ python2 setup.py install --optimize=1 --skip-build --prefix=/usr --root="$pkgdir"
+}
More information about the arch-commits
mailing list